# TimeoutController Class | UniTask

Show / Hide Table of Contents

# TimeoutController Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public sealed class TimeoutController : IDisposable

##### Inheritance

System.Object → TimeoutController

##### Implements

System.IDisposable

### Members

#### Constructors

Name | Description
--- | ---
TimeoutController(DelayType, PlayerLoopTiming) |
TimeoutController(CancellationTokenSource, DelayType, PlayerLoopTiming) |

#### Methods

Name | Description
--- | ---
Dispose() |
IsTimeout() |
Reset() |
Timeout(Int32) |
Timeout(TimeSpan) |

### Constructors

#### TimeoutController(DelayType, PlayerLoopTiming)

    public TimeoutController(DelayType delayType = DelayType.DeltaTime, PlayerLoopTiming delayTiming = PlayerLoopTiming.Update)

##### Parameters

`delayType` DelayType
`delayTiming` PlayerLoopTiming

#### TimeoutController(CancellationTokenSource, DelayType, PlayerLoopTiming)

    public TimeoutController(CancellationTokenSource linkCancellationTokenSource, DelayType delayType = DelayType.DeltaTime, PlayerLoopTiming delayTiming = PlayerLoopTiming.Update)

##### Parameters

`linkCancellationTokenSource` System.Threading.CancellationTokenSource
`delayType` DelayType
`delayTiming` PlayerLoopTiming

### Methods

#### Dispose()

    public void Dispose()

#### IsTimeout()

    public bool IsTimeout()

##### Returns

System.Boolean

#### Reset()

    public void Reset()

#### Timeout(Int32)

    public CancellationToken Timeout(int millisecondsTimeout)

##### Parameters

`millisecondsTimeout` System.Int32

##### Returns

System.Threading.CancellationToken

#### Timeout(TimeSpan)

    public CancellationToken Timeout(TimeSpan timeout)

##### Parameters

`timeout` System.TimeSpan

##### Returns

System.Threading.CancellationToken

### Implements

System.IDisposable